.TH wxListBox 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxListBox \- See external documentation: wxListBox\&.
.SH DESCRIPTION
.LP
See external documentation: wxListBox <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbox\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControlWithItems 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxListBox()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxListBox()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbox\&.html#wxlistboxwxlistbox>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxListBox()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxListBox()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {choices, [[string()]]} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbox\&.html#wxlistboxwxlistbox>\&.
.RE
.LP
.B
create(This::wxListBox(), Parent::wxWindow() (see module wxWindow), Id::integer(), Pos::{X::integer(), Y::integer()}, Size::{W::integer(), H::integer()}, Choices::[[string()]]) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Pos, Size, Choices, [])\&.
.RE
.LP
.B
create(This::wxListBox(), Parent::wxWindow() (see module wxWindow), Id::integer(), Pos::{X::integer(), Y::integer()}, Size::{W::integer(), H::integer()}, Choices::[[string()]], Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbox\&.html#wxlistboxcreate>\&.
.RE
.LP
.B
deselect(This::wxListBox(), N::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbox\&.html#wxlistboxdeselect>\&.
.RE
.LP
.B
getSelections(This::wxListBox()) -> {integer(), ASelections::[integer()]}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbox\&.html#wxlistboxgetselections>\&.
.RE
.LP
.B
insertItems(This::wxListBox(), Items::[[string()]], Pos::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbox\&.html#wxlistboxinsertitems>\&.
.RE
.LP
.B
isSelected(This::wxListBox(), N::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbox\&.html#wxlistboxisselected>\&.
.RE
.LP
.B
set(This::wxListBox(), Items::[[string()]]) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbox\&.html#wxlistboxset>\&.
.RE
.LP
.B
hitTest(This::wxListBox(), Point::{X::integer(), Y::integer()}) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbox\&.html#wxlistboxhittest>\&.
.RE
.LP
.B
setFirstItem(This::wxListBox(), X::integer() | string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxlistbox\&.html#wxlistboxsetfirstitem>\&. 
.br
 Alternatives: 
.LP
\fI setFirstItem(This::wxListBox(), N::integer()) -> ok \fR 
.LP
\fI setFirstItem(This::wxListBox(), S::string()) -> ok \fR 
.RE
.LP
.B
destroy(This::wxListBox()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
